/*
 * Plate.cpp
 *
 *  Created on: Nov 10, 2008
 *      Author: alexander
 */

#include "Plate.h"
#include "GBuffer.h"
extern "C" {
    #include "sdl/SDL.h"
}

/*
uint8_t nine[16*25];

Plate::digits =
{
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,

		NULL,
		NULL,
		NULL,
		NULL,
		new GBuffer(),
};
*/
/*Plate::Plate(char *filename)
{
	SDL_Surface *plate = SDL_LoadBMP(filename);
	if (plate == NULL)
	{
		printf("Problems");
		return;
	}
	image = new GBuffer(plate);
	SDL_FreeSurface(plate);
}*/
/*
Plate::Plate(GBuffer *img, int start, int end)
{
	AffineTransform shift = AffineTransform::getShift(-start);
	double coef = 170.0 / (end - start);
	AffineTransform scale = AffineTransform::getSсale(coef);
	AffineTransform result = scale.multiplyBy(shift);
	GBuffer *plate = result.apply(img,170, 35);


}
*/
void recognize (void)
{



}

Plate::~Plate() {
	if (image)
		delete image;
	image = NULL;
}
